Subject: Re: bug#52089: [core-updates-frozen] geeqie fails to launch

From: Jack Hill <[email-masked]>
Date: Thu, 25 Nov 2021 00:13:07 -0500 (EST)

On Wed, 24 Nov 2021, Maxim Cournoyer wrote:

> Hello,
>
> The failure looks like this:
>
> --8<---------------cut here---------------start------------->8---
> $ geeqie
>
> (geeqie:6216): Gdk-ERROR **: 23:30:16.057: The program 'geeqie' received an X Window System error.
> This probably reflects a bug in the program.
> The error was 'BadValue (integer parameter out of range for operation)'.
>  (Details: serial 180 error_code 2 request_code 152 (GLX) minor_code 24)
>  (Note to programmers: normally, X errors are reported asynchronously;
>   that is, you will receive the error a while after causing it.
>   To debug your program, run it with the GDK_SYNCHRONIZE environment
>   variable to change this behavior. You can then get a meaningful
>   backtrace from your debugger if you break on the gdk_x_error() function.)
> Trace/breakpoint trap
>
> $ GDK_SYNCHRONIZE= geeqie
>
> (geeqie:6217): Clutter-CRITICAL **: 23:30:26.345: Unable to initialize Clutter: Unable to initialize the Clutter backend: no available drivers found.
> Can't initialize clutter-gtk.
> Start Geeqie with the option "geeqie --disable-clutter"
> --8<---------------cut here---------------end--------------->8---
>
> The suggested workaround (geeqie --disable-clutter) works.
>
> Thanks,
>
> Maxim

Interesting. I don't think I'm going to be of any help, but I just testing 
running geeqie from a guix shell with core-updates-frozen commit 
d0f6e8ae7944666469ec1a226df502063d4d0670 under a sway wayland session and 
it launches fine as a native wayland client.

It doesn't display any images though, but maybe that's a different bug. It 
worked the same with and without --disable-clutter.

Best,
Jack